-- 战斗胜利奖励item
Lua_FightResultRewardItem = class("Lua_FightResultRewardItem", Lua_ItemIconCell)
function Lua_FightResultRewardItem:buildShowItem()
    self:superCall("buildShowItem");
    self.itemIcon:setLocation(0, 18, 0);

    self.nameText = UICreate.createLabel(self.content, nil, 0, -60.5, 124, 31, 24);
    self.nameText.alignmentValue = 4;
    self.nameText.horizontalOverflowValue = 1;
    self.nameText.verticalOverflowValue = 0;
    -- self.nameText.bBestFit = true;
    self.nameText.colorStr = Lua_ColorDefine.transColorStr("F4F0ED");
end

function Lua_FightResultRewardItem:dispose()
    if self.scrollText then
        self.scrollText:dispose();
        self.scrollText = nil;
    end
    self.nameText = nil;
    self:superCall("dispose");
end

function Lua_FightResultRewardItem:setData(data)
    self:superCall("setData", data);
    self.nameText.text = self.data.name;
    self.nameText:resetSize();
    if self.nameText.width > 124 then
        self.nameText:setEnable(false);
        if self.scrollText == nil then
            self.scrollText = Lua_ScrollText.new(self.content, Lua_AxisDefine.Horizontal, 124, 24);
            self.scrollText:setLocation(0, -60.5, 0);
            self.scrollText:setTextStyle(124, 24, Lua_MyUISettings.defaultFontName, 24, "F4F0ED", 0);
        end
        self.scrollText:setEnable(true);
        self.scrollText:setShowTxt(self.data.name);
    else
        self.nameText:setEnable(true);
        if self.scrollText then
            self.scrollText:setEnable(false);
        end
    end
end

function Lua_FightResultRewardItem:onPressClick()
    self:superCall("onPressClick");
    Lua_MsgUtil.callFunc("FightResultWin_Timer_Stop");
end