-- 组队赛
checkRequire("Lua_FightResultBaseWindow");
Lua_FormTeamCompetitionFightFailWindow = class("Lua_FormTeamCompetitionFightFailWindow", Lua_FightResultBaseWindow);
function Lua_FormTeamCompetitionFightFailWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_FormTeamCompetitionFightFailWindow";
	self.skinName = "FormTeamCompetitionFightFailWindow_skin";
	self.winBgPath ="/images/fight/xui_zd_bg_2.jpg";
	self:addPreLoadRes(self.winBgPath, Lua_LoadFileType.IMG);
	  self:addPreLoadRes("/effects/uiEffects/ui_zdjs_sb_01", Lua_LoadFileType.UNITY3D)
    self.openSound = "fight_lose_01"

	self.bIsWin = false;
	self.bIsShowCountTime = true;
end

function Lua_FormTeamCompetitionFightFailWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.processBar:setMaxValue(1);
	self.processBar:setValue(0);
	self.sureBtn:addClickFuntion(self, self.hide);

	Lua_WindowUtil.openWin("Lua_FormTeamCompetitionTeamAdjustWindow", Lua_WinParam.ACTION_CLOSE);
end

function Lua_FormTeamCompetitionFightFailWindow:dispose()
	self:superCall("dispose");
end

function Lua_FormTeamCompetitionFightFailWindow:showWin(param)
	self:superCall("showWin", param);

	local templateConfig = Lua_FightTemplateConfigData.getConfigData(param.template_id);
	self.nameText.text = templateConfig.title;

	local info = param.arena_self_info;
	local curStageId = info and info.level or 0;

	local cfg = getConfig("team_arena_grade", curStageId);
	if cfg == nil then
		return;
	end
	self.curTeamStageSp:setUrl(cfg.path);
	self.curTeamStageTxt.text = cfg.name;

	local nextId = cfg.next_id;
	cfg = getConfig("team_arena_grade", nextId);
	if cfg == nil then
		return;
	end
	local nextScoreValue = cfg.score;
	self.curScoreValue = info and info.score or 0;
	self.processBar:setMaxValue(nextScoreValue);
	self.processBar:setValue(self.curScoreValue);

	self.processTxt.text = LanUtil.formateStr(772123, self.curScoreValue, nextScoreValue);
	self.scoreNumTxt.text = LanUtil.formateStr(772124, self.curScoreValue, 0);
end


