-- 新英雄主题活动 剧情关卡战斗失败窗口
checkRequire("Lua_FightResultBaseWindow");
Lua_NewHeroActStoryFailWindow = class("Lua_NewHeroActStoryFailWindow", Lua_FightResultBaseWindow)
function Lua_NewHeroActStoryFailWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_NewHeroActStoryFailWindow";
	self.skinName = "NewHeroActStoryFailWindow_skin";
    self.winBgPath = "/images/fight/xui_zd_bg_2.jpg";
    self:addPreLoadRes(self.winBgPath, Lua_LoadFileType.IMG);
    self:addPreLoadRes("/effects/uiEffects/ui_zdjs_sb_01", Lua_LoadFileType.UNITY3D);
    self.openSound = "fight_lose_01";

	self.bIsWin = false;
	self.bIsShowCountTime = true;
	self.bIsShowHurtBtn = true;
end

function Lua_NewHeroActStoryFailWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.btnBack:addClickFuntion(self, self.onBackClick);
	self.btnSure:addClickFuntion(self, self.hide);
end

function Lua_NewHeroActStoryFailWindow:showWin(param)
	self:superCall("showWin", param);

	local templateConfig = Lua_FightTemplateConfigData.getConfigData(param.template_id);
	self.nameText.text = templateConfig.title;
end

function Lua_NewHeroActStoryFailWindow:onBackClick()
	DataCenter.funcPathUtil:gotoFunction(1031, true, false);
end