checkRequire("Lua_PeakDuelFightWinWindow")
Lua_PeakDuelFightFailWindow = class("Lua_PeakDuelFightFailWindow", Lua_PeakDuelFightWinWindow)
function Lua_PeakDuelFightFailWindow:ctor()
	self:superCall("ctor")

	self.windowName = "Lua_PeakDuelFightFailWindow"
	self.skinName = "PeakDuelResultWindow_skin"
    self.winBgPath = "/images/fight/xui_zd_bg_2.jpg"
    self:addPreLoadRes(self.winBgPath, Lua_LoadFileType.IMG)
    self:addPreLoadRes("/effects/uiEffects/ui_zdjs_sb_01", Lua_LoadFileType.UNITY3D)
    self.openSound = "fight_lose_01"
    
	self.bIsWin = false
	self.bIsShowCountTime = true
	self.bIsShowHurtBtn = true
end

function Lua_PeakDuelFightFailWindow:buildShowItem()
	self:superCall("buildShowItem")
	self.nameBg:setAltas("fight_atlas_3", "xui_zd_widget_20")
	self.levelBg:setAltas("fight_atlas_3", "xui_zd_widget_19")
	self.rewardTitle:setAltas("fight_atlas_2", "xui_zd_word_4")
end