-- 昆墟圣地伤害窗口
checkRequire("Lua_FightOverallHurtWindow");
Lua_KunXuHolyLandHurtWindow = class("Lua_KunXuHolyLandHurtWindow", Lua_FightOverallHurtWindow);
function Lua_KunXuHolyLandHurtWindow:ctor(p)
	self:superCall("ctor");

	self.windowName = "Lua_KunXuHolyLandHurtWindow";
end

function Lua_KunXuHolyLandHurtWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.buttonList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
	self.buttonList:setSiblingIndex(0);
	self.buttonList:setRectPivot(3);
	self.buttonList:setLocation(-325, -(self.winBg.height / 2 - 3), 0);
	self.buttonList:setButtonStyle("common_altas_1", "xui_common_tab_002", "xui_common_tab_001", 133, 77);
	self.buttonList:setButtonText(0, 10, "7A6A5F", "8F5123", 26, 26, Lua_MyUISettings.huakangFontName);
	self.buttonList:setButtonItem(133, 77);
	self.buttonList:setClickCallBack(self, self.onButtonClick);
end

function Lua_KunXuHolyLandHurtWindow:dispose()
	if self.buttonList then
		self.buttonList:dispose();
		self.buttonList = nil;
	end
	if self.btnInfo then
		self.btnInfo:clear()
		self.btnInfo = nil
	end
	self.teamDic = nil
	self:superCall("dispose");
end

function Lua_KunXuHolyLandHurtWindow:showWin(param)
	self:superCall("showWin", param)

	local len = #param;
	if len > 1 then
		self.btnInfo = Array();
		self.teamDic = {}
		local info
		for i = 1, len do
			info = param[i]
			self.btnInfo:add({ textStr = info.hurt_collect.hurt_collect_list[1].defender.name });
			self.teamDic[info.index] = info
		end
		self.buttonList:setData(self.btnInfo);
		self.buttonList:setSelected(1);
	else
		self:updateHurtInfo(param[1].hurt_collect)
	end
end

function Lua_KunXuHolyLandHurtWindow:onButtonClick(index)
	if self.teamDic[index] == nil then
		return;
	end
	self:updateHurtInfo(self.teamDic[index].hurt_collect)
end