Lua_FightTurnOnPromptsItem = class("Lua_FightTurnOnPromptsItem", Lua_DisplayObject)
function Lua_FightTurnOnPromptsItem:ctor(p)
    self:superCall("ctor", p)
end

function Lua_FightTurnOnPromptsItem:buildShowItem()
    self:superCall("buildShowItem");

    self.promptText = UICreate.createLabel(self.content, nil, 4, 0, 100, 31, 28)
    self.promptText.pivotValue = 4
    self.promptText.alignmentValue = 4
    self.promptText.horizontalOverflowValue = 1
    self.promptText.verticalOverflowValue = 1
    self.promptText.fontName = Lua_MyUISettings.huakangFontName
    self.promptText.colorStr = Lua_ColorDefine.transColor("8C6B58")
    self.promptText:setScale(-1, 1, 1)
    
    self.uiEff = UICreate.createUIEffect(self.content, nil, nil, 0, 0)
    self.uiEff:addLuaLoadCompleteFun(self, self.onEffLoaded)
    self.uiEff:setUrl("/effects/uiEffects/ui_zx_qp", "ui_zx_qp")
end

function Lua_FightTurnOnPromptsItem:onEffLoaded()
    self.promptText:setLangValue(302008)
    self.uiEff:hangeWidgets("qipao", self.promptText.mainContent)
end

function Lua_FightTurnOnPromptsItem:dispose()
    if self.promptText then
        self.promptText:dispose();
        self.promptText = nil;
    end
    if self.uiEff then
        self.uiEff:dispose()
        self.uiEff = nil
    end
    self:superCall("dispose")
end