-- 试炼副本战斗失败界面
checkRequire("Lua_FightResultBaseWindow");
Lua_TrialFightFailWindow = class("Lua_TrialFightFailWindow", Lua_FightResultBaseWindow);
function Lua_TrialFightFailWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TrialFightFailWindow";
	self.skinName = "TrialFightResultWindow_skin";
    self.winBgPath = "/images/fight/xui_zd_bg_2.jpg";
    self:addPreLoadRes(self.winBgPath, Lua_LoadFileType.IMG);
    self:addPreLoadRes("/effects/uiEffects/ui_zdjs_sb_01", Lua_LoadFileType.UNITY3D);
    self.openSound = "fight_lose_01";
    
	self.bIsWin = false;
	self.bIsShowCountTime = true;
	self.bIsShowHurtBtn = true;
end

function Lua_TrialFightFailWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.nameBg:setAltas("fight_atlas_3", "xui_zd_widget_20");
	self.rewardTitle:setAltas("fight_atlas_2", "xui_zd_word_4");

	self.btnBack:addClickFuntion(self, self.onBtnBackClick);
	self.btnConfirm:addClickFuntion(self, self.hide);
end

function Lua_TrialFightFailWindow:dispose()
	self:superCall("dispose");
end

function Lua_TrialFightFailWindow:showWin(param)
	self:superCall("showWin", param);
	self:updateShowInfo();
	self:updateFuncIcons();
end

function Lua_TrialFightFailWindow:updateShowInfo()
	local trialInfo = DataCenter.TrialData:getTrialEachById(self.showData.stage_id);
	local trialConstInfo = DataCenter.TrialData:getTrialTypeById(trialInfo.script_type);
	self.nameText.text = LanUtil.formateStr(10055, trialConstInfo.name, trialInfo.name);
end

function Lua_TrialFightFailWindow:onBtnBackClick(go)
	local trialInfo = DataCenter.TrialData:getTrialEachById(self.showData.stage_id);
	DataCenter.TrialData.fightToShowType = trialInfo.script_type;
	DataCenter.funcPathUtil:gotoFunction(1011, true, false)
end