checkRequire("Lua_FightWinResultWindow");
Lua_WildStageFightWinWindow = class("Lua_WildStageFightWinWindow", Lua_FightWinResultWindow)
function Lua_WildStageFightWinWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_WildStageFightWinWindow";
	self.bIsShowCountTime = false;
end

function Lua_WildStageFightWinWindow:dispose()
	Lua_CommonUtil.removeTimer(self, self.hide);
	self:superCall("dispose");
end

function Lua_WildStageFightWinWindow:showWin(param)
	self:superCall("showWin", param);

	self.operateVal = 2;
	self.btnSure:setLangValue(100002);
	local config = DataCenter.wildSecretUtil:getStageConfig(param.stage_id);
	if not DataCenter.wildSecretData.isFightLimit and param.stage_id > DataCenter.wildSecretUtil.nextFightLimit and config and config.next_id > 0 then
		local nextCfg = DataCenter.wildSecretUtil:getStageConfig(config.next_id);
		if nextCfg and nextCfg.floor == config.floor then
			self.bAutoNextFight = true;
			self.operateVal = 1;
			self.btnSure:setLangValue(701087);
		end
	end

	self.bIsShowCountTime = true;
	self:initCountTime();
end

function Lua_WildStageFightWinWindow:onSureClick(go)
	if self.operateVal == 1 then
		self:onAutoFight();
	else
		self:hide();
	end
end

function Lua_WildStageFightWinWindow:onAutoFight()
	Lua_ProxyManager.getProxy("Lua_FightProxy"):sStartFight(self.templateId);
	if Lua_WindowUtil.isWindowShowing("Lua_WildSecretWindow") then
		Lua_CommonUtil.delayCall(5, self, self.hide); -- 容错处理
	else
		self:hide();
	end
end